package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(vip_group_default_classes_cycle):
 */
public class VipGroupDefaultClassesCycle {

	/**  */
	private Integer id;
	
	/** 最小课次 */
	@ApiModelProperty(value = "最小课次",required = false)
	private Integer minClassTimes;
	
	/** 最大课次 */
	@ApiModelProperty(value = "最大课次",required = false)
	private Integer maxClassTimes;
	
	/** 最大排课范围（月份） */
	@ApiModelProperty(value = "最大排课范围（月份）",required = false)
	private Integer month;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "部门编号")
	private Long organId;

	public Long getOrganId() {
		return organId;
	}

	public void setOrganId(Long organId) {
		this.organId = organId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMinClassTimes(Integer minClassTimes){
		this.minClassTimes = minClassTimes;
	}
	
	public Integer getMinClassTimes(){
		return this.minClassTimes;
	}
			
	public void setMaxClassTimes(Integer maxClassTimes){
		this.maxClassTimes = maxClassTimes;
	}
	
	public Integer getMaxClassTimes(){
		return this.maxClassTimes;
	}
			
	public void setMonth(Integer month){
		this.month = month;
	}
	
	public Integer getMonth(){
		return this.month;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
